Summary:	Fraunhofer FDK AAC Codec library
Summary(pl.UTF-8):	Biblioteka kodeka Fraunhofer FDK AAC
Name:		fdk-aac
Version:	2.0.1
Release:	1
License:	distributable, patent license required in some countries
Group:		Libraries
Source0:	http://downloads.sourceforge.net/opencore-amr/%{name}-%{version}.tar.gz
# Source0-md5:	e8b0b38e837df455b8a1ba75417ff0ad
URL:		https://github.com/mstorsjo/fdk-aac
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Fraunhofer FDK AAC Codec Library for Android ("FDK AAC Codec") is
software that implements the MPEG Advanced Audio Coding ("AAC")
encoding and decoding scheme for digital audio. This FDK AAC Codec
software is intended to be used on a wide variety of Android devices.

%description -l pl.UTF-8
Biblioteka kodeka Fraunhofer FDK AAC dla Androida ("FDK AAC Codec") to
oprogramowanie będące implementacją algorytmu kodowania i dekodowania
MPEG Advanced Audio Coding ("AAC") dla dźwięku cyfrowego. FDK AAC
Codec jest przeznaczony do użycia na rozmaitych urządzeniach typu
Android.

%package devel
Summary:	Header files for Fraunhofer FDK AAC Codec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki kodeka Fraunhofer FDK AAC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Fraunhofer FDK AAC Codec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki kodeka Fraunhofer FDK AAC.

%package static
Summary:	Static Fraunhofer FDK AAC Codec library
Summary(pl.UTF-8):	Statyczna biblioteka kodeka Fraunhofer FDK AAC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Fraunhofer FDK AAC Codec library.

%description static -l pl.UTF-8
Statyczna biblioteka kodeka Fraunhofer FDK AAC.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no dependencies and pkg-config file present
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfdk-aac.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NOTICE
%attr(755,root,root) %{_libdir}/libfdk-aac.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfdk-aac.so.2

%files devel
%defattr(644,root,root,755)
%doc documentation/aac{Decoder,Encoder}.pdf
%attr(755,root,root) %{_libdir}/libfdk-aac.so
%{_includedir}/fdk-aac
%{_pkgconfigdir}/fdk-aac.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfdk-aac.a
%changelog
* Mon Jan 04 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/fdk-aac.git;a=log;h=master

* Mon Mar 09 2020 Jakub Bogusz <qboosh@pld-linux.org> e207e20
- updated to 2.0.1

* Tue Apr 30 2019 Jakub Bogusz <qboosh@pld-linux.org> aaf99b8
- updated to 2.0.0 (note: new soname)

* Mon Aug 27 2018 Adam Osuchowski <adwol@pld-linux.org> c4566f8
- up to 0.1.6

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 1699f6d
- updated to 0.1.5

* Mon May 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 80041dc
- updated to 0.1.4 (note: new soname)

* Sat Oct 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 704ef48
- new

